curl --request GET \
--url https://api.vistaly.com/v1/interviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vistaly.com/v1/interviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vistaly.com/v1/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vistaly.com/v1/interviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vistaly.com/v1/interviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vistaly.com/v1/interviews")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vistaly.com/v1/interviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"interviews": [
{
"id": "<string>",
"source": "<string>",
"cardIds": [
"<string>"
],
"customerUserIds": [
"<string>"
],
"interviewerUserIds": [
"<string>"
],
"insightCount": 123,
"processed": true,
"appUrl": "<string>",
"interviewees": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"website": "<string>"
}
}
],
"interviewers": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"suggestedInsightCount": 123,
"capturedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"sourceUrl": "<string>",
"textPreview": "<string>",
"transcriptType": "media"
}
],
"nextCursor": "<string>"
}{
"message": "Bad request"
}{
"message": "Unauthorized"
}{
"message": "Forbidden"
}{
"message": "Internal server error"
}List interviews
List the interviews in the organization, newest-first. Each entry carries the interview’s metadata (when it was conducted, who conducted it and who was interviewed — resolved to people with name, email and company — linked cards, insight counts, whether it has a transcript) and a short text preview; use GET /v1/interviews//notes, /insights and /transcript for the content. Results are paginated: nextCursor is present only when a further page has interviews on it; pass it back as the cursor parameter on the next request.
curl --request GET \
--url https://api.vistaly.com/v1/interviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vistaly.com/v1/interviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vistaly.com/v1/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vistaly.com/v1/interviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vistaly.com/v1/interviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vistaly.com/v1/interviews")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vistaly.com/v1/interviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"interviews": [
{
"id": "<string>",
"source": "<string>",
"cardIds": [
"<string>"
],
"customerUserIds": [
"<string>"
],
"interviewerUserIds": [
"<string>"
],
"insightCount": 123,
"processed": true,
"appUrl": "<string>",
"interviewees": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"website": "<string>"
}
}
],
"interviewers": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"suggestedInsightCount": 123,
"capturedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"sourceUrl": "<string>",
"textPreview": "<string>",
"transcriptType": "media"
}
],
"nextCursor": "<string>"
}{
"message": "Bad request"
}{
"message": "Unauthorized"
}{
"message": "Forbidden"
}{
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of interviews to return (1-100). Defaults to 50.
1 <= x <= 100Opaque pagination token returned as nextCursor by a previous request. Pass it to fetch the next page of results. limit may be changed between pages.
Response
Interviews retrieved successfully